org.apache.ode.axis2.hooks

## Class ODEAxisServiceDispatcher

- java.lang.Object
- - org.apache.axis2.handlers.AbstractHandler
  - - org.apache.axis2.engine.AbstractDispatcher
    - - org.apache.ode.axis2.hooks.ODEAxisServiceDispatcher

- All Implemented Interfaces:
    org.apache.axis2.engine.Handler

      public class ODEAxisServiceDispatcher
      extends org.apache.axis2.engine.AbstractDispatcher

  Dispatches the service based on the information from the target endpoint URL.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler

      `org.apache.axis2.engine.Handler.InvocationResponse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAME` Field NAME

    - ### Fields inherited from class org.apache.axis2.handlers.AbstractHandler

      `handlerDesc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODEAxisServiceDispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axis2.description.AxisOperation` | `findOperation(org.apache.axis2.description.AxisService service, org.apache.axis2.context.MessageContext messageContext)`
    `org.apache.axis2.description.AxisService` | `findService(org.apache.axis2.context.MessageContext messageContext)`
    `void` | `initDispatcher()`
    `protected java.lang.String` | `parseRequestURLForService(java.lang.String path)` Obtain the service name from the request URL.

    - ### Methods inherited from class org.apache.axis2.engine.AbstractDispatcher

      `invoke`

    - ### Methods inherited from class org.apache.axis2.handlers.AbstractHandler

      `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      Field NAME
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ODEAxisServiceDispatcher

          public ODEAxisServiceDispatcher()

  - ### Method Detail

    - #### findOperation

          public org.apache.axis2.description.AxisOperation findOperation(org.apache.axis2.description.AxisService service,
                                                                 org.apache.axis2.context.MessageContext messageContext)
                                                                   throws org.apache.axis2.AxisFault

      Specified by:
        `findOperation` in class `org.apache.axis2.engine.AbstractDispatcher`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### findService

          public org.apache.axis2.description.AxisService findService(org.apache.axis2.context.MessageContext messageContext)
                                                               throws org.apache.axis2.AxisFault

      Specified by:
        `findService` in class `org.apache.axis2.engine.AbstractDispatcher`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### initDispatcher

          public void initDispatcher()

      Specified by:
        `initDispatcher` in class `org.apache.axis2.engine.AbstractDispatcher`

    - #### parseRequestURLForService

          protected java.lang.String parseRequestURLForService(java.lang.String path)

      Obtain the service name from the request URL. The request URL is expected to use the path "/processes/" under which all processes and their services are listed. Returns null if the path does not contain this part.